<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\Services\GroupChatService;
use App\Http\Controllers\Controller;
use App\Services\ChatService;
use Illuminate\Http\Request;

class GroupChatController extends Controller
{
    public function groupChatList(GroupChatService $groupChatService)
    {
        return $groupChatService->index();
    }

    public function addMember(Request $request,GroupChatService $groupChatService)
    {
        return $groupChatService->addMember($request);
    }

    public function deleteMember($groupId,$memberId,GroupChatService $groupChatService)
    {
        return $groupChatService->deleteMember($groupId,$memberId);
    }

    public function deleteGroup($groupId,GroupChatService $groupChatService)
    {
        return $groupChatService->delete($groupId);
    }

}
