<?php

namespace App\Http\Resources;

use App\Filter\Title;
use Illuminate\Http\Resources\Json\JsonResource;

class ReadNotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return [
            'id'=>$this->id,
            'title'=>$this['data']['title']??"",
            'text'=>$this['data']['text']??"",
            'read_at'=>$this->read_at->format('Y/m/d H:i A')??null,
            'created_at'=>$this->created_at->format('Y/m/d H:i A')??null,
            ];
    }
}
