<?php

namespace App\Repositories\Admin;

use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;
use App\Models\Admin\Admin;

//use Your Model

/**
 * Class AuthenticationRepository.
 */
class AuthenticationRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return Admin::class;
    }

    public function register($request)
    {
        return Admin::create([
            'email' => $request['email'],
            'password' => bcrypt($request['password']),
            'user_name' => $request['user_name']
        ]);
    }

    public function login($email)
    {
        return Admin::where('email', $email)->first();
    }
}
