<?php

namespace App\Repositories\Admin\Structure;

use App\Models\Admin\Structure\SiteInformation;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;
//use Your Model

/**
 * Class SiteInformationRepository.
 */
class SiteInformationRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return SiteInformation::class;
    }

    public function findByType($type)
    {
        return SiteInformation::select('key', 'value', 'type')->where('type', $type)->get();
    }
}
