<?php

namespace App\Services;


use Barryvdh\DomPDF\Facade\Pdf;
use Dompdf\Dompdf;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\View;

class PDFService
{
    public function make($information)
    {
//        return $information;
        $data["email"] = $information["customer_name"] ??"";
        $data["title"] = "How To Generate PDF And Send Email In Laravel 8 - Websolutionstuff";
        $data["body"] = "How To Generate PDF And Send Email In Laravel 8";
        $data['name'] = 'proscreen';
        $data['address'] = 'us';
        $data['image'] = $information['image']??" ";

//        $html = View::make('PDF.Estimation',  ['data' => $data])->render();
//        $html = preg_replace('/>\s+</', '><', $html);
//        return PDF::loadHtml($html)->output();
        return $this->savePdf($data);

//       return PDF::loadView('PDF.Estimation', ['data' => $data],['data' => $data]);
//        return $pdf;
//          $dompdf = new Dompdf();
//        return $dompdf->loadHtml('hello world');
//        return $pdf->download('Invoice.pdf');
    }
    protected function makePdf($data)
    {
        $html = View::make('PDF.Estimation', ['data' => $data])->render();
        $html = preg_replace('/>\s+</', '><', $html);
        return PDF::loadHtml($html);
    }

    protected function savePdf($data)
    {
        $pdf = $this->makePdf($data);
        $path=rand(9999999999999999,99999999999999999);
        Storage::disk('public')->put('pdf/'.$path.'.pdf', $pdf->output());
//       $address=  Storage::disk('public')->url('pdf/'.$path.'.pdf');
         return ['pdf'=>$pdf,'path'=>'pdf/'.$path.'.pdf'];
    }
    public function makeExternal($information)
    {
//        return $information;
        $data["email"] = "";
        $data["title"] = "How To Generate PDF And Send Email In Laravel 8 - Websolutionstuff";
        $data["body"] = "How To Generate PDF And Send Email In Laravel 8";
        $data['name'] = 'proscreen';
        $data['address'] = 'us';
        $data['image'] = " ";

//        $html = View::make('PDF.Estimation',  ['data' => $data])->render();
//        $html = preg_replace('/>\s+</', '><', $html);
//        return PDF::loadHtml($html)->output();
        return $this->makePdf($data);

//       return PDF::loadView('PDF.Estimation', ['data' => $data],['data' => $data]);
//        return $pdf;
//          $dompdf = new Dompdf();
//        return $dompdf->loadHtml('hello world');
//        return $pdf->download('Invoice.pdf');
    }

}
