<?php

namespace App\Repositories;

use App\Models\SocialMedia;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;

//use Your Model

/**
 * Class SocialMediaRepository.
 */
class SocialMediaRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return SocialMedia::class;
    }

    public function findSocialMedia($socialMedia)
    {
        return SocialMedia::where('name', $socialMedia)->first();
    }
}
