<?php

namespace App\Services;

class MapService
{
//    function distance($lat1, $lat2, $lon1, $lon2, $unit = "")
//    {
////        $theta = (int)$lon1 - (int)$lon2;
////        $distance = (sin(deg2rad((int)$lat1)) * sin(deg2rad((int)$lat2))) + (cos(deg2rad((int)$lat1)) * cos(deg2rad((int)$lat2)) * cos(deg2rad($theta)));
////        $distance = acos($distance);
////        $distance = rad2deg($distance);
////        $distance = $distance * 60 * 1.1515;
////        switch($unit) {
////            case 'M':
////                break;
////            case 'K' :
////                $distance = $distance * 1.609344;
////        }
////        return (round($distance,2));
//        /*if (($lat1 == $lat2) && ($lon1 == $lon2)) {
//            return 0;
//        } else {
//            $theta = $lon1 - $lon2;
//            $dist = sin(deg2rad($lat1)) * sin(deg2rad($lat2)) + cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta));
//            $dist = acos($dist);
//            $dist = rad2deg($dist);
//            $miles = $dist * 60 * 1.1515;
//            $unit = strtoupper($unit);
//
//            if ($unit == "K") {
//                return ($miles * 1.609344);
//            } else if ($unit == "N") {
//                return ($miles * 0.8684);
//            } else if ($unit == "M") {
//                return ($miles * 1609);
//            } else {
//                return $miles;
//            }
//        }*/
//
//        $rad = M_PI / 180;
//        $radius = 6371; //earth radius in kilometers
//        return acos(sin($lat2 * $rad) * sin($lat1 * $rad) + cos($lat2 * $rad) * cos($lat1 * $rad) * cos($lon2 * $rad - $lon1 * $rad)) * $radius;
//
//
//
//        $delta_lat = $lat2 - $lat1 ;
//        $delta_lon = $lon2 - $lon1 ;
//
//        $earth_radius = 6372.795477598;
//
//        $alpha    = $delta_lat/2;
//        $beta     = $delta_lon/2;
//        $a        = sin(deg2rad($alpha)) * sin(deg2rad($alpha)) + cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * sin(deg2rad($beta)) * sin(deg2rad($beta)) ;
//        $c        = asin(min(1, sqrt($a)));
//        $distance = 2*$earth_radius * $c;
//        $distance = round($distance, 4);
//
//        return $this->measure = $distance;
//    }

    public function distance($lat1, $lon1, $lat2, $lon2, $unit='K') {

        $theta = $lon1 - $lon2;
        $dist = sin(deg2rad($lat1)) * sin(deg2rad($lat2)) +  cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta));
        $dist = acos($dist);
        $dist = rad2deg($dist);
        $miles = $dist * 60 * 1.1515;
        $unit = strtoupper($unit);

        if ($unit == "K") {
            return ($miles * 1.609344);
        } else if ($unit == "N") {
            return ($miles * 0.8684);
        } else {
            return $miles;
        }
    }
}
