<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateServiceListsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_lists', function (Blueprint $table) {
            $table->id();
            $table->string('listable_type');   //estimate or invoices
            $table->unsignedBigInteger('listable_id');
            $table->string('clientList_type'); //user company
            $table->unsignedBigInteger('clientList_id');
            $table->string('service');
            $table->text('description');
            $table->unsignedInteger('rate');
            $table->unsignedInteger('quantity');
            $table->unsignedInteger('amount');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_lists');
    }
}
