<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class TeamSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        for ($i = 0; $i < 5 ; $i++){
            $dataBase = DB::table('teams')->insert([
                'first_name' => Str::random(5),
                'last_name' => Str::random(5),
                'about_us' => Str::random(20),
                'email' => Str::random(5) . '@gmail.com',
            ]);
        }
    }
}
