<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CreateGroupRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'=>['string'],
            'type'=>['in:business,meeting'],
            'address'=>['string'],
            'subject'=>[ Rule::requiredIf($this->type=='meeting')],
//            'image' => ['required','image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048'],

        ];
    }
}
