<?php

namespace App\Http\Resources\Admin\Auth;

use App\Http\Controllers\JobController;
use Illuminate\Http\Resources\Json\JsonResource;

class LoginAdminResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
            return [
                'id'=>$this['data']->id,
                'email'=>$this['data']->email,
                'name'=>$this['data']->name,
                'role_id'=>$this['data']->role_id,
                'token'=>$this['token'],
            ];
    }
}
