<?php

namespace App\Services;

use App\Models\Comment;
use App\Traits\ApiResponser;

class CommentService
{
    use ApiResponser;
    public function store($data, $client, $profile)
    {
        /*$data = [
            'text' => 'dfgb',
            'rate' => 2,
            'to' => 'owner:kimia@gmail.com',
            'parent_id' => 2
        ];*/
//return [$client,$profile];

//        return $result;
//        if ($result == 0) {
//            return 0;
//        }
        $comment= Comment::query()->create([
            'text' => $data['text'],
            'rate' => $data['rate'],
            'to' => $data['to'] ?? null,
            'parent_id' => $data['parent_id'] ?? null,
            'client_id' => $client->id,
            'client_type' => get_class($client),
            'profile_id' => $profile->id,
            'profile_type' => get_class($profile),
            'status' => 'pending'
        ]);
//        $rate = ['rate'=>$data['rate']];
//        $comment->rates()->create($rate);
        return  $comment;
    }

    public function show($profile)
    {

        $comments = Comment::query()->with('profile')->where('status',Comment::COMPLETED_STATUS)->where(['profile_type' => get_class($profile), 'profile_id' =>
            $profile->id, 'parent_id' => null])
            ->get();
        $this->sendReply($comments);
        return $comments;
    }

    public function count() //count comment of a profile
    {

    }

    public function determineStatus()
    {

    }

    public function checkParentId()
    {

    }

    public function checkExistComment($id, $profile) //get parent id and check exists comment
    {
        $comment = Comment::query()
            ->where('id', $id)
            ->where('profile_id', $profile->id)
            ->where('profile_type', get_class($profile))->first();

        if ($comment == null) {
            return 0;
        }
        return 1;
    }

    public function checkCorrectComment($client, $profile) //don't allow a client comment for her self
    {
        if ($client->id == $profile->id && get_class($client) == get_class($profile)) {
            return 0;
        }
        return 1;
    }

    public function sendReply($replies)
    {
        foreach ($replies as $reply) {
            $reply->load('replies.client.jobTitle');
            if (!$reply->replies->count())
                continue;
            $this->sendReply($reply->replies);
        }
    }


}
