<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class JobRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        //123
        return [
            'job' => ['required'],
            'experience' => ['required', 'numeric'],
//            'skill.*' => ['required',Rule::exists('skills','id')->whereNull('deleted_at')],
            'description' => ['required', 'string'],
            'phone_number' => ['string'],
        ];
    }
    public function messages()
    {
       return ['skill.*.exists'=>'skill not find '];
    }
}
