<?php

namespace App\Http\Resources;

use App\Models\Project;
use Illuminate\Http\Resources\Json\JsonResource;

class ShowProjectGalleryResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $images = ShowImagesGalleryResource::collection($this['images'])->resolve();
//        dd();
//        return parent::toArray($request);
        return ['name'=>$this->name,'id'=>$this->id,
            'images'=>[$this->when(isset($images[0]),$images[0] ?? null),$this->when(isset($images[1]),$images[1] ?? null), $this->when(isset($images[2]),$images[2] ?? null),$this->when(isset($images[3]),$images[3] ?? null)],
            'type'=>'project'];
    }
}
