<?php

namespace App\Models;

use App\Models\Admin\Structure\BillingPlan;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    use HasFactory;

    protected $guarded = [
        'id'
    ];

    public function billingPlan()
    {
        return $this->belongsTo(BillingPlan::class);
    }

    public function client()
    {
        return $this->morphTo();
    }
}
